#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Jun 28 17:15:05 2023

@author: wenli
"""

from setuptools import setup, find_packages

setup(
    name='NeuroAstroSeg_private', 
    version='0.1.0',  # 库的版本号
    description='Test version for specially designed for Group Glenn NeuroPSI',  # 库的描述
    author='Wenli N., Yufan C.',  # 作者名字
    author_email="wenli.niu@universite-paris-saclay.fr, yufan.chen@kit.edu",  # 作者电子邮件
    packages=['NeuroAstroSeg'],  # 包含的包（子文件夹）列表
    install_requires=[
    'scipy==1.9.3',
    'torch==1.13.0',
    'matplotlib==3.4.2',
    'numpy==1.23.0',
    'gin-config==0.5.0',
    'torchvision==0.14.0',
    'filetype==1.0.0',
    'tifffile==2022.10.10',
    'opencv-contrib-python==4.5.5.62',
    'opencv-python==4.7.0.72',
    'scikit-learn==1.2.0',
    'padasip==1.2.2',
    'ruptures'
    ]
)
